<?php
try {
    /* Konfiguracja serwera MySQL */
    $db_server = 'localhost';
    $db_name   = 'db_php8';
    $db_user   = 'db_php8';
    $db_passwd = 'WETFD8toJyKLWtXC'; // u Ciebie będzie z pewnością inne :)

    // otwórz połączenie z bazą danych MYSQL
    $db_pdo = new PDO(
        "mysql:host=$db_server;dbname=$db_name",
        $db_user,
        $db_passwd,
        [PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"]
    );
    
    // włącz obsługę wyjątków dla obsługi interfejsu PDO
    $db_pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    print "Ile potrzebuję czasu na przeczytanie książki?".PHP_EOL;
    print "AUTOR\t\tTYTUŁ\t\t\tCZAS".PHP_EOL;
    
    // wyślij zapytanie do bazy i pobierz wyniki
    $wynik = $db_pdo->query("
    SELECT (((stron * 3) / 60) + 1) AS czas, autor, tytul
    FROM ksiazki
    ORDER BY stron DESC;
    ");
    
    // przetwórz pobrane rekordy i wydrukuj
    while ($wiersz = $wynik->fetch()) {
        printf(
            "%s\t%s\t%d godz.".PHP_EOL,
            $wiersz['autor'], $wiersz['tytul'], $wiersz['czas']
        );
    }

    $db_pdo = null; // zamknij połączenie z bazą

} catch (PDOException $e) {
    print "Błąd!: " . $e->getMessage();
    die();
}